# $Revision: 1.35 $, $Date: 2006/04/20 18:50:17 $
#
# Conditional build:
# _with_gnome - build with GNOME1 support
#
Summary:	A GNOME frontend for cdrecord
Summary(pl):	Nakadka GNOME na program cdrecord
Name:		gtoaster
Version:	1.0Beta6
Release:	7
Epoch:		1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://gnometoaster.rulez.org/archive/%{name}%{version}.tgz
# Source0-md5:	89256dbb2bedfbc44337aa6980e6fb93
Source1:	%{name}.desktop
Patch0:		%{name}-acfix.patch
Patch1:		%{name}-pofix.patch
Patch2:		%{name}-po-fix.patch
Patch3:		%{name}-locale_names.patch
Patch4:		%{name}-po-filetype.patch
URL:		http://gnometoaster.rulez.org/
BuildRequires:	ORBit-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	gettext-devel
%{?_with_gnome:BuildRequires:	gnome-libs-devel >= 1.0.54}
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	imlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Toaster is a CD creation suite for the famous Linux operating
System. Thought to be as user-friendly as possible it lets you create
CD recordables with just a few simple mouse clicks. Create your CDs by
simply dragging the desired contents onto it's display window.

%description -l pl
GNOME Toaster pozwala w wyjtkowo prosty sposb na tworzenie pyt CD-R
za pomoc kilku klikni. Tworzenie zawartoci pyty odbywa si za
pomoc przecigania i upuszczania plikw, katalogw w oknie programu.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

mv -f po/{no,nb}.po

%build
rm -f missing
#%%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	%{!?_with_gnome:--without-gnome}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install icons/gtoaster.png $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/gtoaster.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtoaster.spec,v $
Revision 1.35  2006/04/20 18:50:17  ankry
- rel. 7

Revision 1.34  2004/12/12 17:23:59  sparky
- one more po fix

Revision 1.33  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.32  2004/09/20 22:13:45  ankry
- rel. 6

Revision 1.31  2004/09/20 21:09:43  ankry
- Categories fix, rel. 5

Revision 1.30  2004/07/26 08:44:12  ankry
- no -> nb, rel. 4

Revision 1.29  2003/12/08 21:29:58  grzegol
- _applnkdir -> _desktopdir; rel. 3

Revision 1.28  2003/09/09 19:03:58  grzegol
- added _with_gnome bcond (default off - it requires gnome1)

Revision 1.27  2003/09/03 10:59:15  qboosh
- CD capitalization

Revision 1.26  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.25  2003/06/08 19:44:02  krolik

- added another po fix patch, now builds
- changed Release to 2

Revision 1.24  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.23  2003/05/25 05:48:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/17 14:29:43  qboosh
- added acfix and pofix patches, find_lang and translations are back

Revision 1.21  2003/04/16 11:12:20  radek
- version 1.0Beta6
- commented out makefile regeneration and find_lang; builds now

Revision 1.20  2003/01/18 22:50:10  juandon
- removed two lines with define

Revision 1.19  2002/10/09 13:14:29  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/07/28 15:20:29  marcus
- use new %%doc
- rel.2

Revision 1.17  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.16  2002/05/21 23:13:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/04/25 16:32:00  arturs
fixed a small typo

Revision 1.14  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/03/12 18:52:58  aflinta
 - updated to version 1.0beta5

Revision 1.12  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/10/28 20:59:06  kloczek
- small cosmetic.

Revision 1.8  2001/10/28 18:49:51  misiek
- updated to 1.0beta3 + include locale files

Revision 1.7  2001/09/27 08:41:36  migo
- adapterized

Revision 1.6  2001/08/06 10:10:22  kloczek
- updated Source url,
- regenerate ac/am files (gettext also for correct install .mo files),
- uncomment %%find_lang on bottom %install,
- fixed %clean.

Revision 1.5  2001/08/05 11:45:43  aflinta
 - added Epoch for easier upgrade from previous versions

Revision 1.4  2001/08/04 16:46:29  aflinta
 - added desktop file

Revision 1.3  2001/08/04 11:37:25  aflinta
 - updated to version 1.0 beta2

Revision 1.2  2001/01/22 03:50:16  kloczek
- use %%{_pixmapsdir} maco instead %%{_datadir}/pixmaps.

Revision 1.1  2001/01/20 17:39:20  misiek
frontend to cdrecord. Initial spec
